syntax = "proto3";
option go_package = ".;pb";


// 巨怪列车
message DBTrollTrain {
  string id = 1; //@go_tags(`bson:"_id"`) ID
  string uid = 2; //@go_tags(`bson:"uid"`) 用户ID
  map<int32,int32> items = 3;// 货物 key 货物ID
  map<int32,int32> price = 4;// 货物买入价格 key 货物ID
  int32 gridNum = 5; //@go_tags(`bson:"gridNum"`) 当前使用格子数量
  int32 tarinPos = 6; //@go_tags(`bson:"tarinPos"`) 火车位置 (商人位置)
  int32 rangeId = 7; //@go_tags(`bson:"rangeId"`) 增长幅度
  int32 buy = 8; // 挂机进货标准/千分比
  int32 sell = 9; //挂机卖出标准/千分比
  int32 npcLv = 10;//@go_tags(`bson:"npcLv"`) npc 等级
  map<int32,int32> npcReward = 11;//@go_tags(`bson:"npcReward"`) npc奖励
  int64 totalEarn  = 12;//@go_tags(`bson:"totalEarn"`) 累计赚的钱
  int32 sellCount = 13;//@go_tags(`bson:"sellCount"`) 今天已经卖出次数
  int64 refreshTime = 14;//@go_tags(`bson:"refreshTime"`) 最后一次刷新的时间 通过这个计算下一次刷新时间
  int32 aiCount = 15;//@go_tags(`bson:"aiCount"`) AI 交易次数
  map<int32,int32> shop= 16; // 商人的限购数量 
  int64 ctime = 17;  // 创建时间
  int32 circle = 18; // 循环商人的次数
  map<int32,int32> surpriseID = 19; //@go_tags(`bson:"surpriseID"`) key商人id value惊喜货物ID
  int64 resetTime = 20;  //@go_tags(`bson:"resetTime"`) 每日重置时间
}

// 收益记录
message DBTrollRecord{
  string id = 1; //@go_tags(`bson:"_id"`) ID
  string uid = 2; //@go_tags(`bson:"uid"`) 用户ID
  int32 gold = 3; // 收益
  int32 pos = 4; // 商人位置
  int64 time = 5; // 交易时间
}

